import dynamix_sdk.base as _base


class CloudapiComputeChangeMacResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeChangeMacProtocol(_base.BasePostAPIFunctionProtocol):
    def change_mac(
        self,
        *,
        vm_id: int,
        current_mac: str,
        new_mac: str,
    ) -> CloudapiComputeChangeMacResultBool:
        ...
